Product updates

Developer Changelog

Keep track of changes and upgrades to the Zoom Developer platform. You can also subscribe to our Changelog RSS feed below.


Contact Center

Introducing new Campaign APIs and expanded engagements fields for enhanced Contact Center management

API release

Summary:Added new Campaign APIs and webhook. Updated Engagements APIs with new fields, including durations and IDs.

Added

  • New Campaign APIs.
    • PATCH /v2/contact_center/outbound_campaign/campaigns/{campaignId}
    • POST /v2/contact_center/outbound_campaign/campaigns
    • GET /v2/contact_center/outbound_campaign/campaigns
    • GET /v2/contact_center/outbound_campaign/campaigns/{campaignId}
    • PUT /v2/contact_center/outbound_campaign/campaigns/{campaignId}/dialer/{command}
    • DELETE /v2/contact_center/outbound_campaign/campaigns/{campaignId}
  • New webhook event.
    • contact_center.outbound_campaign_dialer_status

Changed

  • New end_time, talk_duration, and survey_id response fields in these Engagements APIs.
    • GET /v2/contact_center/engagements/{engagementId}
    • GET /v2/contact_center/engagements
  • New waiting_duration, flow_duration, handling_duration, wrap_up_duration, agents, queues, and flows response fields in this Engagements` API.
    • `GET /v2/contact_center/engagements``
  • New transfer_from and transfer_from_id fields in this webhook event.
    • contact_center.engagement_started